### Hierarchy

- Post

## Index

### Properties

- data
- dataJson
- el

### Methods

- componentDidLoad
- componentDidUpdate
- parsePost
- postRender
- render

## Properties

### data

data: any

- Defined in wordpress/post/post.tsx:11

### dataJson

dataJson: string

- Defined in wordpress/post/post.tsx:13

### el

el: HTMLElement

- Defined in wordpress/post/post.tsx:9

## Methods

### componentDidLoad

- componentDidLoad(): void

- - Defined in wordpress/post/post.tsx:15

  #### Returns void

### componentDidUpdate

- componentDidUpdate(): void

- - Defined in wordpress/post/post.tsx:19

  #### Returns void

### parsePost

- parsePost(post: any): any

- - Defined in wordpress/post/post.tsx:34

  #### Parameters

  - ##### post: any

  #### Returns any

### postRender

- postRender(): void

- - Defined in wordpress/post/post.tsx:23

  #### Returns void

### render

- render(): Element

- - Defined in wordpress/post/post.tsx:53

  #### Returns Element